Bug 12088 - Improve date handling and sorting in holds to pull report
Summary: Improve date handling and sorting in holds to pull report
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 12127
Blocks: 12089
  Show dependency treegraph
 
Reported: 2014-04-15 16:15 UTC by Owen Leonard
Modified: 2014-12-07 20:07 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12088 - Improve date handling and sorting in holds to pull report (5.43 KB, patch)
2014-04-15 17:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12088 [Revised] Improve date handling and sorting in holds to pull report (6.02 KB, patch)
2014-04-23 14:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12088 [Revised] Improve date handling and sorting in holds to pull report (6.13 KB, patch)
2014-04-24 00:05 UTC, David Cook
Details | Diff | Splinter Review
[PASSED QA] Bug 12088 [Revised] Improve date handling and sorting in holds to pull report (6.27 KB, patch)
2014-04-28 18:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-04-15 16:15:56 UTC
pendingreserves.tt includes a call to dt_add_type_uk_date(), which should be replaced with the title-string method for sorting dates. Additionally, sorting of the title column could be improved by adding the "anti-the" sorting method.
Comment 1 Owen Leonard 2014-04-15 17:40:40 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-04-23 14:21:38 UTC Comment hidden (obsolete)
Comment 3 David Cook 2014-04-24 00:05:43 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-04-26 13:19:17 UTC
I am sorry, but this patch no longer applies:

Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Bug 12088 [Revised] Improve date handling and sorting in holds to pull report
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/circ/pendingreserves.tt).
Comment 5 Galen Charlton 2014-04-28 17:38:50 UTC
Patch applies now that its dependency has been pushed.  Setting status back to signed off.
Comment 6 Katrin Fischer 2014-04-28 18:10:44 UTC
Created attachment 27740 [details] [review]
[PASSED QA] Bug 12088 [Revised] Improve date handling and sorting in holds to pull report

The holds to pull report could be improved by improving sorting on the
title and date columns. This patch adds "anti-the" sorting to the title
column and "title-string" sorting to the date column.

Date formatting of another variable has been moved to the template for
formatting using KohaDates.

The patch includes other corrections for HTML validity.

To test, apply the patch and view the holds to pull report.
 - Sorting by date should work correctly regardless of dateformat system
   preference setting.
 - Sorting of the title columns should correctly ignore articles.
 - Formatting of the "Reported on" date should be correct.

Revision incorporates the corrections made by Bug 12127 and converts
those changes to use class-based sorting.

Signed-off-by: David Cook <dcook@prosentient.com.au>

The patch works as described. Thanks for including and improving the
changes from Bug 12127, Owen!

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes QA script and tests.
No regressions found, works as advertised.
Comment 7 Galen Charlton 2014-04-28 18:45:09 UTC
Pushed to master.  Thanks, Owen!